package com.ss.android.ugc.aweme.music.ui.reuseaudio;

import X.0Bt;
import X.1Bn;
import X.2Pr;
import X.C3077SKj;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.model.UrlModel;
import com.ss.android.ugc.aweme.feed.model.Aweme;

public final class ReuseAudioViewModel extends 0Bt {
    public final 1Bn<Aweme> LIZ = new 1Bn<>();
    public final 1Bn<String> LIZIZ = new 1Bn<>();
    public final 1Bn<Integer> LIZJ = new 1Bn<>();
    public final 1Bn<C3077SKj> LIZLLL = new 1Bn<>(C3077SKj.PLAY);
    public final 1Bn<UrlModel> LJ = new 1Bn<>();
    public final 1Bn<2Pr> LJFF = new 1Bn<>();
    public ReuseAudioPlayer LJI;

    static {
        Covode.recordClassIndex(94286);
    }
}
